using PSO2SERVER.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace PSO2SERVER.Protocol.Packets
{
    public class ClientPongPacket : Packet
    {
        private readonly ulong _clientTime;
        private readonly long _serverTime;
        public ClientPongPacket(ulong clientTime, long serverTime)
        {
            _clientTime = clientTime;
            _serverTime = serverTime;
        }

        #region implemented abstract members of Packet

        public override byte[] Build()
        {
            var pkt = new PacketWriter();
            pkt.Write(_clientTime);
            pkt.Write(_serverTime);
            pkt.Write((uint)0);
            return pkt.ToArray();
        }

        public override PacketHeader GetHeader()
        {
            return new PacketHeader(0x11, 0x0E, PacketFlags.None);
        }

        #endregion
    }
}